# copyright <sebas @ koumbit.org>
# Licence: GPL
#

class di_netboot_assistant {

   package { [ "di-netboot-assistant" ]: ensure => installed }

   # sources.list with the lastest Ubuntu releases
   file { "/etc/di-netboot-assistant/di-sources.list":
      owner => root,
      group => root,
      mode => 644,
      source => "puppet:///di_netboot_assistant/di-sources.list"
   }

   # some customization of the pxe menu
   file { "/etc/di-netboot-assistant/pxelinux.HEAD":
      owner => root,
      group => root,
      mode => 644,
      source => "puppet:///di_netboot_assistant/pxelinux.HEAD"
   }

   # symbolic link to generated menu
   file  { "/var/lib/tftpboot/pxelinux.cfg/default":
      ensure => "../debian-installer/pxelinux.cfg/default"
   }

   exec { "di_netboot_assistant_lenny":
      command => "di-netboot-assistant install lenny --arch=amd64,i386 &>/dev/null",
      creates => "/var/lib/tftpboot/debian-installer/lenny/i386/linux",
      path => "/bin:/sbin:/usr/sbin:/usr/bin",
      require => [Package["di-netboot-assistant"], File["/etc/di-netboot-assistant/di-sources.list"], File["/etc/di-netboot-assistant/pxelinux.HEAD"]]
   }

   exec { "di_netboot_assistant_hardy":
      command => "di-netboot-assistant install hardy --arch=amd64,i386 &>/dev/null",
      creates => "/var/lib/tftpboot/debian-installer/hardy/i386/linux",
      path => "/bin:/sbin:/usr/sbin:/usr/bin",
      require => [Package["di-netboot-assistant"], exec["di_netboot_assistant_lenny"]]
   }

   exec { "di_netboot_assistant_jaunty":
      command => "di-netboot-assistant install jaunty --arch=amd64,i386 &>/dev/null",
      creates => "/var/lib/tftpboot/debian-installer/jaunty/i386/linux",
      path => "/bin:/sbin:/usr/sbin:/usr/bin",
      require => [Package["di-netboot-assistant"], exec["di_netboot_assistant_lenny"]]
   }
}
